rm(list=ls())

source("fish_core.r")
source("fish_util.r")
source("fish_pars.r")

# initial population
pop0 <- cbind(
  age= rep(0, 1000),
  weight= rep(p["weight.zero"], 1000)
)

# single realization
x <- simulate(ind=pop0, years=50, pars=p, statfun=pop.stats)

par(mfrow=c(2,1))
plot.over.time(x, "weight", log="y", ylab="Weight of individuals")
plot.over.time(x, "age", log="", ylab="Age of individuals")
par(mfrow=c(1,1))

